%define pkg_name        Data-Dump-Streamer
%define pkg_version     2.05-36
%define rpm_pkg_version 2.05
%define rpm_pkg_release 1.n0i.3

Summary:       Accurately serialize a data structure as Perl code
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/Y/YV/YVES/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(B::Deparse)}
%{!?_without_test:BuildRequires: perl(B::Utils) >= 0.05}
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(Text::Abbrev)}
%{!?_without_test:BuildRequires: perl(Text::Balanced)}

Provides: perl(Data::Dump::Streamer::_::Printers)
Requires: perl(B::Utils) >= 0.05


%description
Stream a highly accurate easy to read data dump in perl code form to a var
or file. (Also known as 'DDS').

Given a list of scalars or reference variables, writes out their contents
in perl syntax. The references can also be objects. The contents of each
variable is output using the least number of Perl statements as convenient,
usually only one. Self-referential structures, closures, and objects are
output correctly.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
# ugly, want (NO)DDS as $ARGV[0]
%{__perl} -pi -e 's{^(\$override\s*=).+?\n}{$1 1;}' Makefile.PL
# broken (2.03)
%{__rm} -f INSTALL.SKIP


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Fri Aug 24 2007 Marius Feraru <altblue@n0i.net> - 2.05-1.n0i.3.2.05_36
- version 2.05-36

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 2.03-2.n0i.2.2.03_30
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sat Jul 08 2006 Marius Feraru <altblue@n0i.net> - 2.03-1.n0i.1.2.03_30
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
